if not jailbroken or jailbroken(_G) then
        print("JAIL is broken, jailbroken check")
end

print("perform some quick tests")
print("-- socket")

local sock = require("socket")
assert(socket, "socket not in global space ?!")
assert(package.loaded.socket == socket, "package.loaded.socket != socket")
assert(socket == sock, "socket != return value")
print("test ok")

print("-- dofile")

dofile("test.dofile.lua")
if jailbroken and jailbroken(globaltest()) then
	error("JAIL failure with test.dofile.lua")
end
print("test ok")

print("-- hump")

vector = require "hump.vector"
assert(vector, "not global vector?")
local x = vector(1, 2)
assert(x.x == 1 and x.y == 2, "vector test error")
print("test ok")

print("-- foo")

assert(require("foo")=="bar", "the foo module didn't return bar value!")
assert(package.loaded.foo, "foo module seems not loaded in package.loaded.foo")
print("test ok")

print("----")


--print("command line args:", unpack(arg))
--print("called with arguments :", ...)

-- run selftest if jail is not disable
if  _G.jailed then
	if _G ~= getfenv() or _G ~= getfenv(0) then
		print("JAIL FAILURE : getfenv allow to bypass the jail")
	end

	if luajail then
		print("JAIL FAILURE : luajail exists in game environnement !")
	end

	if debug and debug.setfenv then
		print("JAIL FAILURE debug.setfenv access")
	end
	print("jail seems ok")
end

print("----")


assert(love, "love is missing WTF!")

function love.load()
	text = "quit: wait 5s or press escape"
--[[
	if not socket then
		print("loading socket package")
		socket = require("socket")
	end
]]--
	updatecount = 0
	localduration = 0
end

function love.draw()
	love.graphics.print(text,0,0)
end

function love.update(dt)
	updatecount = updatecount + dt
	local localduration = math.floor(updatecount)
	if localduration ~= lastshow then
		lastshow = localduration
		print(localduration)
	end
	if updatecount > 5 then
		print("quit!")
		if love.event and love.event.push then love.event.push("q") end
	end
	love.timer.sleep( 100 )
end

function love.keypressed(key, ...)
	if key == "escape" then
		love.event.push("q")
	end
end

