-- setup the jail for love
luajail.jail.love = lovejail.jail

-- love policy deny direct access to file system, we must use the love.filesystem functions
luajail.jail.dofile = function(file) return luajail.run(love.filesystem.load(file)) end

luajail.fs.exists   = love.filesystem.exists
luajail.fs.loadfile = love.filesystem.load

luajail.jail.io.open	= nil -- denied by love policy
luajail.jail.io.close	= nil -- denied by love policy
luajail.jail.io.lines	= nil -- denied by love policy
luajail.jail.io.tmpfile	= nil -- denied by love policy
--luajail.jail.io.write	= io.write -- check if really restricted to stdout ?


local modulePolicy = luajail.modulePolicy
luajail.moduleDefaultPolicy("in")

modulePolicy("socket", "out")
modulePolicy("socket.core", "out")

luajail.moduleShow()
