
local gamefile = ...
assert(gamefile, "You must specify the targeted file (example: game.lua)")

if global then
	print("safeload: strict.lua detected.")
	global("luajail")
	global("lovejail")
end

-- load the lua jail lib
love.filesystem.load((BASEDIR or "").."lib/luajail.lua")()

-- load the love jail lib
love.filesystem.load((BASEDIR or "").."lib/lovejail.lua")()

-- load and enforce the love policy
love.filesystem.load((BASEDIR or "").."love-policy.lua")()


luajail.verbose = verbose -- for debug purpose
if runwithoutjail == true then
	luajail.disable = true
end

--local function strictinjail() require("strict") end
--luajail.run(luajail.jail.require, "strict")


-- put the game into jail environnement
local game = love.filesystem.load(gamefile)

-- run the game inside the jail
luajail.run(game)

